Api referenceWhatsapp
Set Default WhatsApp Business Account
Authorization
apiKey X-API-Key<token>
API key for authentication
In: header
Path Parameters
accountId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://samva.app/api/v1/whatsapp/business-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/set-default" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"phoneNumber": "string",
"phoneNumberId": "string",
"displayName": "string",
"whatsappBusinessAccountId": "string",
"verificationStatus": "pending",
"isDefault": true,
"webhookUrl": "string",
"qualityRating": "green",
"messagingLimit": "string",
"currentLimit": 0,
"isActive": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}